#
# spec file for package libmediaart-1_0
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _name libmediaart

Name:           libmediaart-1_0
Version:        0.7.0
Release:        4.3
# License note: src.rpm contains GPL-2.0+ (tests) and LGPL-2.1+ code
Summary:        Media Art extraction library
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Other
Url:            https://download.gnome.org/sources/libmediaart
Source:         http://download.gnome.org/sources/libmediaart/0.7/%{_name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE change_gtk_doc_install_dir.patch sfalken@opensuse.org -- Fixes path for co-installability with libmediaart-1.9
Patch0:		change_gtk_doc_install_dir.patch
BuildRequires:  gcc-c++
BuildRequires:  vim
BuildRequires:  gobject-introspection-devel >= 1.30.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.12.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.35.1
BuildRequires:  pkgconfig(glib-2.0) >= 2.35.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Moved out of the way of libmediaart; the 'original package name' is used for the latest version
# this package is maintained for compatibility for packages that did not move to the new API yet
Obsoletes:      libmediaart < 1.9

%description
The libmediaart library is the foundation for media art caching,
extraction and lookup for applications on the desktop.

%package -n libmediaart-1_0-0
# License note: the library is pure LGPL-2.1+
Summary:        Media Art extraction library
License:        LGPL-2.1+
Group:          System/Libraries

%description -n libmediaart-1_0-0
The libmediaart library is the foundation for media art caching,
extraction and lookup for applications on the desktop.

%package -n typelib-1_0-MediaArt-1_0
# License note: the library is pure LGPL-2.1+
Summary:        Media Art extraction library -- Introspection bindings
License:        LGPL-2.1+
Group:          System/Libraries

%description -n typelib-1_0-MediaArt-1_0
The libmediaart library is the foundation for media art caching,
extraction and lookup for applications on the desktop.

%package devel
# License note: the library is pure LGPL-2.1+
Summary:        Media Art extraction library
License:        LGPL-2.1+
Group:          Development/Languages/C and C++
Requires:       libmediaart-1_0-0 = %{version}
Requires:       typelib-1_0-MediaArt-1_0 = %{version}
# Renamed from libmediaart-devel, for this package name is used by the latest release
Obsoletes:      libmediaart-devel < 1.9

%description devel
The libmediaart library is the foundation for media art caching,
extraction and lookup for applications on the desktop.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%configure 
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n libmediaart-1_0-0 -p /sbin/ldconfig

%postun -n libmediaart-1_0-0 -p /sbin/ldconfig

%files -n libmediaart-1_0-0
%defattr(-,root,root)
%doc COPYING.LESSER
%{_libdir}/libmediaart-1.0.so.*

%files -n typelib-1_0-MediaArt-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/MediaArt-1.0.typelib

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libmediaart-1_0/
%{_datadir}/gir-1.0/MediaArt-1.0.gir
%{_libdir}/libmediaart-1.0.so
%{_libdir}/pkgconfig/libmediaart-1.0.pc
%{_includedir}/libmediaart-1.0/

%changelog
* Sun Feb  1 2015 sfalken@opensuse.org
- Rename package to libmediaart-1_0 in order to update libmediaart
  to the new version 2.0 branch.
- Obsolete libmediaart and libmediaart-devel by the new
  libmediaart-1_0 variants.
- Added change_gtk_doc_install_dir.patch
  + Changes gtk-doc install dir in -devel package to
    %%{datadir}/gtk-doc/html/libmediaart07 to enable co-install
    with libmediaart.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 0.7.0:
  + Fixes:
  - Artist, title and prefix arguments in get_file should
    (bgo#727478).
  - make check clears user's media-art cache (bgo#731681).
  + extract: Fixed gtkdoc warning for return value of
    media_art_error_quark().
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 0.6.0:
  + Fixes: media_art_get_path() usage is unclear (bgo#734837).
  + build: include m4 dir parsing.
  + tests: Use tap automake testing scripts, fixes output
    summaries.
  + doap: add <programming-language> and 'core' category.
  + extract: Fixed process_buffer() len check (was inverted) and
    artist/title.
- Changes from version 0.5.0:
  + Heuristics does not handle uppercase properly (bgo#731678).
  + Build system:
  - Require glib 2.38 for g_assert_true() in unit tests.
  - Updated configure.ac from autoscan suggestions.
  - Improve warnings used when compiling and test compiler
    warnings we can use.
  + extract:
  - Switch to initable MediaArtProcess object from
    _init/_shutdown().
  - Split _process() API into  _process_buffer() and
    _process_file().
  - Make GFile first parameter for _process_file().
  - Add _SYMLINK_FAILED error and report symlink() failure in
    get_heuristic().
  - Add GError for _NO_TITLE, which is required in some cases.
  - Add GError * reporting right down to the plugins (pixbuf/qt).
  - Use a more logical ordered heuristic for caching strings.
  - Refactor media_art_process_file() to simplify the function.
  + storage: Make g_message() calls g_debug() calls, output is
    unnecessary.
  + docs: Fixed Makefile so we don't fail on distcheck with
  - -enable-gtk-doc.
  + tests:
  - Don't expect media art extraction for NULL data buffer for
    !images.
  - Test for no error with media_art_process_file() with real use
    case.
* Tue Apr  1 2014 zaitor@opensuse.org
- Update to version 0.4.0:
  + Feature request: load album art embedded in music files
    (bgo#727333).
  + build: Don't forget to define LIBMEDIAART_BACKEND for all Qt
    cases.
  + extract: Incorrect inverse variable check for media_art_set().
* Fri Mar  7 2014 dimstar@opensuse.org
- Update to version 0.3.0:
  + build: Don't fail if vapigen isn't available.
  + build: Force automake C linkage when building C only.
  + build: Remove leftover explicit -lm -lz linkage.
  + build: Don't link to both Qt and gdk-pixbuf if both are
    autodetect.
  + build: Honor NOCONFIGURE=1 in autogen.sh.
  + cache: Improve _remove() function and fix crash with NULL
    passed.
  + cache: Improve _strip_invalid_entites() API.
  + cache: Fix Non-void function should return a value.
  + extract: Fix Qt5 compilation failure
  + extract: Don't break on dummy implementation due to incorrect
    args in.
* Thu Feb  6 2014 dimstar@opensuse.org
- Update to version 0.2.0:
  + build: Remove all 'tracker' uses in configure.ac.
  + build: Fix selection between backends Qt and GdkPixbuf.
  + build: Fix requirement on tracker-0.16 in pkgconfig file.
  + build: Make sure pkgconfig file uses -1.0 to avoid minor ver
    changes.
  + extract: Port Qt backend to Qt5 and NEMO platform.
  + extract: Fixed Qt(4) backend to compile and removed all Tracker
    references.
  + libmediaart: Fix include which incorrectly defined _INSIDE in
    main header.
  + docs: Remove reference to Tracker in reference overview.
- Rename subpackage, following upstreams name changes:
  + libmediaart-0_2-0 to libmediaart-1_0-0.
  + typelib-1-0-MediaArt-0_2 to typelib-1-0-MediaArt-1_0.
* Wed Dec 18 2013 dimstar@opensuse.org
- Initial package, version 0.1.0:
  + The code for this project has been extracted from Tracker and
    inserted into its own library because there is call for this
    functionality in other places on the desktop.
